%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-gaze
Version:    0.4.1
Release:    1%{?dist}
Summary:    A globbing fs.watch wrapper built from parts of other watch libraries
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/shama/gaze
Source0:    http://registry.npmjs.org/gaze/-/gaze-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(fileset)
BuildRequires:  npm(globule)
BuildRequires:  npm(grunt)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(nodeunit)
%endif

%description
This Node.js module provides a globbing fs.watch wrapper built from the best
parts of other fine watch libraries: speedy data behavior from chokidar, the
API interface from watch, and file globbing using glob.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/gaze
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/gaze

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test
%endif


%files
%doc AUTHORS LICENSE-MIT README.md
%{nodejs_sitelib}/gaze


%changelog
* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-1
- update to upstream release 0.4.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.4-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.4-1
- update to upstream release 0.3.4

* Sat Mar 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-2
- shorten the %%summary

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-1
- initial package
